VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CList"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit

Private mvarCount As Long 'local copy
Private mvarlist() As Variant

Function GetList() As Variant
  Dim sList As Variant, i As Long

  sList = ""

  For i = 0 To mvarCount - 1
    sList = sList & mvarlist(i) & vbCrLf
  Next i

  GetList = sList
End Function

Public Property Let List(Index As Long, ListItem As Variant)
  If Index < mvarCount Then
    mvarlist(Index) = ListItem
  Else
    Err.Raise 9, "CLIST", "Subscript out of range"
  End If
End Property

Public Sub Remove(Index As Long)
  Dim i As Long

  If Index < mvarCount Then
    mvarCount = mvarCount - 1
    i = Index

    Do While i < mvarCount
      mvarlist(i) = mvarlist(i + 1)
      i = i + 1
    Loop

    If mvarCount = 0 Then
      ReDim mvarlist(0) As Variant
    Else
      ReDim Preserve mvarlist(mvarCount - 1) As Variant
    End If
  Else
    Err.Raise 9, "CLIST", "Subscript out of range"
  End If
End Sub

Public Sub Add(ListItem As Variant, Optional Index)
  Dim i As Long
  ReDim Preserve mvarlist(mvarCount)

  If IsMissing(Index) Then
    mvarlist(mvarCount) = ListItem
  Else
    i = mvarCount
    Do While i > Val(Index)
      mvarlist(i) = mvarlist(i - 1)

      i = i - 1
    Loop

    mvarlist(Val(Index)) = ListItem
  End If

  mvarCount = mvarCount + 1
End Sub

Public Sub Clear()
  ReDim mvarlist(0) As Variant

  mvarCount = 0
End Sub

Public Property Get Count() As Long
  Count = mvarCount
End Property

Public Property Get List(Index As Long) As Variant
  If Index < mvarCount Then
    List = mvarlist(Index)
  Else
    Err.Raise 9, "CLIST", "Subscript out of range"
  End If
End Property

Private Sub Class_Initialize()
  mvarCount = 0
End Sub


