VERSION 5.00
Begin VB.Form frmAbout 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "About ASMPH"
   ClientHeight    =   3960
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6225
   Icon            =   "frmAbout.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3960
   ScaleWidth      =   6225
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdOK 
      Caption         =   "&OK"
      Height          =   375
      Left            =   4920
      TabIndex        =   3
      Top             =   3300
      Width           =   1095
   End
   Begin VB.TextBox txtDescription 
      BackColor       =   &H8000000F&
      Height          =   2115
      Left            =   960
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      TabIndex        =   2
      Top             =   900
      Width           =   5055
   End
   Begin VB.Label lblMicroWeb 
      Caption         =   "www.microchip.com"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   -1  'True
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   195
      Left            =   3180
      MouseIcon       =   "frmAbout.frx":0442
      MousePointer    =   99  'Custom
      TabIndex        =   7
      Top             =   3600
      Width           =   1425
   End
   Begin VB.Label lblMicrochip 
      Caption         =   "Microchip is a trademark of Microchip Technology"
      Height          =   435
      Left            =   960
      TabIndex        =   6
      Top             =   3480
      Width           =   2055
   End
   Begin VB.Label lblMail 
      Caption         =   "ctwigg@ieee.org"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   -1  'True
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   195
      Left            =   3180
      MouseIcon       =   "frmAbout.frx":074C
      MousePointer    =   99  'Custom
      TabIndex        =   5
      Top             =   3180
      Width           =   1200
   End
   Begin VB.Label lblCopy 
      Caption         =   "(C) 2001 Chris Twigg"
      Height          =   195
      Left            =   960
      TabIndex        =   4
      Top             =   3180
      Width           =   1575
   End
   Begin VB.Label lblBuild 
      Caption         =   "(Build "
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   3720
      TabIndex        =   1
      Top             =   420
      Width           =   1395
   End
   Begin VB.Label lblApp 
      Caption         =   "QwikPH v"
      BeginProperty Font 
         Name            =   "Comic Sans MS"
         Size            =   18
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   435
      Left            =   960
      TabIndex        =   0
      Top             =   240
      Width           =   2595
   End
   Begin VB.Image Image1 
      Height          =   480
      Left            =   240
      Picture         =   "frmAbout.frx":0A56
      Top             =   240
      Width           =   480
   End
End
Attribute VB_Name = "frmAbout"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdOK_Click()
  Unload Me
End Sub

Private Sub Form_Load()
  Dim sMsg As String

  lblApp.Caption = lblApp.Caption & App.Major & "." & App.Minor
  lblBuild.Caption = lblBuild.Caption & Format(App.Revision, "00") & ")"

  sMsg = "   This utility generates a program hierarchy for a Microchip format assembly (ASM) file."
  sMsg = sMsg & "  It is intended for use with Jess Meremonte's SASM utility, but should also work with other projects as well."
  sMsg = sMsg & vbCrLf & vbCrLf & "This program is FREEWARE and may distributed only in its original installation files!"
  sMsg = sMsg & vbCrLf & vbCrLf & "All attempts have been made to ensure the stability of this software."
  sMsg = sMsg & "  However, the author is not responsible for any data loss as a result of using this utility."

  txtDescription.Text = sMsg
End Sub


Private Sub lblMail_Click()
  Screen.MousePointer = vbArrowHourglass
  LaunchEmail "mailto:ctwigg@ieee.org"
  Screen.MousePointer = vbDefault
End Sub

Private Sub lblMicroWeb_Click()
  Screen.MousePointer = vbArrowHourglass
  LaunchBrowser "http://www.microchip.com"
  Screen.MousePointer = vbDefault
End Sub


Private Sub txtDescription_GotFocus()
  cmdOK.SetFocus
End Sub


