VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Qwik Program Hierarchy"
   ClientHeight    =   4500
   ClientLeft      =   45
   ClientTop       =   615
   ClientWidth     =   4905
   Icon            =   "QwikPH.frx":0000
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4500
   ScaleWidth      =   4905
   StartUpPosition =   2  'CenterScreen
   Begin VB.ListBox lstLine 
      Height          =   1425
      Left            =   6420
      TabIndex        =   8
      Top             =   1560
      Visible         =   0   'False
      Width           =   1455
   End
   Begin VB.ListBox lstFiles 
      Height          =   1620
      Left            =   6420
      TabIndex        =   7
      Top             =   3000
      Visible         =   0   'False
      Width           =   1455
   End
   Begin VB.ListBox lstPH 
      Height          =   1620
      Left            =   7980
      TabIndex        =   5
      Top             =   3000
      Visible         =   0   'False
      Width           =   1455
   End
   Begin VB.ListBox lstMacros 
      Height          =   1425
      Left            =   6420
      TabIndex        =   4
      Top             =   120
      Visible         =   0   'False
      Width           =   1455
   End
   Begin VB.ListBox lstSubs 
      Height          =   2790
      Left            =   7980
      TabIndex        =   3
      Top             =   120
      Visible         =   0   'False
      Width           =   1455
   End
   Begin VB.DirListBox dirPath 
      Height          =   3690
      Left            =   60
      TabIndex        =   2
      Top             =   120
      Width           =   2475
   End
   Begin VB.FileListBox filASM 
      Height          =   3990
      Left            =   2640
      Pattern         =   "*.asm"
      TabIndex        =   1
      Top             =   120
      Width           =   2175
   End
   Begin VB.DriveListBox drvPath 
      Height          =   315
      Left            =   60
      TabIndex        =   0
      Top             =   3840
      Width           =   2475
   End
   Begin VB.Label lblStatus 
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   60
      TabIndex        =   6
      Top             =   4200
      Width           =   4815
   End
   Begin VB.Menu ConfigMenu 
      Caption         =   "&Config"
      Begin VB.Menu LabelMenu 
         Caption         =   "Special &Labels"
         Shortcut        =   ^L
      End
      Begin VB.Menu ConfigSeperator 
         Caption         =   "-"
      End
      Begin VB.Menu UpdateMenu 
         Caption         =   "&AutoUpdate ASM"
         Checked         =   -1  'True
         Shortcut        =   ^A
      End
   End
   Begin VB.Menu AboutMenu 
      Caption         =   "&About"
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim lstMacroCalls As New CLists, lstMacroArgs As New CLists
Dim lstSubCalls As New CLists, lstBuffer As New CList


Sub AddFile(ByVal sFile As String)
  Dim i As Integer, bNotFound As Boolean

  i = InStr(1, sFile, "<")
  Do While i > 0
    Mid(sFile, i, 1) = " "
    i = InStr(1, sFile, "<")
  Loop

  i = InStr(1, sFile, ">")
  Do While i > 0
    Mid(sFile, i, 1) = " "
    i = InStr(1, sFile, ">")
  Loop

  i = InStr(1, sFile, Chr(34))
  Do While i > 0
    Mid(sFile, i, 1) = " "
    i = InStr(1, sFile, Chr(34))
  Loop

  sFile = Trim(sFile)

  If Len(Dir(dirPath.Path & "\" & sFile)) > 0 Then
    sFile = dirPath.Path & "\" & sFile
  ElseIf Len(Dir(sMPLAB_Path & sFile)) > 0 Then
    sFile = sMPLAB_Path & sFile
  End If

  If Len(Dir(sFile)) > 0 Then
    bNotFound = True

    i = 0
    Do While i < lstFiles.ListCount
      If lstFiles.List(i) = sFile Then bNotFound = False
      i = i + 1
    Loop

    If bNotFound Then lstFiles.AddItem sFile
  End If
End Sub

Sub AlterFile(sPath As String, sFName As String)
  Dim sBackup As String, sFile As String, sLine As String
  Dim i As Integer

  sFile = sPath & "\" & sFName
  sBackup = MakeBackup(sFile)

  Open sBackup For Input As #1
  Open sFile For Output As #2

  Do While Not EOF(1)
    Line Input #1, sLine

    Print #2, sLine

    If InStr(1, LCase(sLine), "program hierarchy") > 0 Then
      Do
        Line Input #1, sLine
      Loop Until InStr(1, sLine, ";;") > 0 Or InStr(1, sLine, ";") = 0

      i = 0
      Do While i < lstPH.ListCount
        If lstPH.ItemData(i) = 0 Then Print #2, ";"

        Print #2, "; " & Space(2 * lstPH.ItemData(i)) & lstPH.List(i)

        i = i + 1
      Loop

      Print #2, ";"

      Print #2, sLine
    End If
  Loop

  Close #2
  Close #1
End Sub

Sub CheckLabel(bMacro As Boolean, bSkip As Boolean, bSub As Boolean, iSub As Long)
  Dim i As Long, bFound As Boolean, sLine As String

  Select Case LCase(lstLine.List(0))
    Case "#include", "#define"
    Case Else
      If Not bMacro And Len(lstLine.List(0)) > 0 Then
        If lstLine.ListCount > 1 Then
          Select Case LCase(lstLine.List(1))
            Case "macro", "equ", "db", "dw", "dt", "de", "da", "data", _
                 "udata", "udata_acs", "udata_shr", "udata_ovr", _
                 "idata", "code", "equ", "res", "set"
              Exit Sub
          End Select
        End If

        lstSubs.AddItem lstLine.List(0)
        lstSubCalls.Add

        If Not bSub Then
          bSub = True
          bFound = False

          i = 0
          Do While i < lstBuffer.Count
            If lstBuffer.List(i) = lstLine.List(0) Then
              bFound = True

              If iSub = iMain Then
                bMain = True
              ElseIf iSub = iIntLow Or iSub = iIntHigh Then
                bInt = True
              End If

              Exit Do
            End If

            i = i + 1
          Loop

          If Not bFound And Not bSkip Then
            lstBuffer.Clear
            iSub = lstSubs.ListCount - 1
            sLine = LCase(lstLine.List(0))

            If iMain = -1 And sLine = sMain Then
                iMain = iSub
                bMain = True
            End If

            If iIntLow = -1 And (sLine = sInt Or sLine = sIntLow) Then
              iIntLow = iSub
              bIntLow = True
              bInt = True
            End If

            If iIntLow = -1 And sLine = sIntHigh Then
              iIntHigh = iSub
              bIntHigh = True
              bInt = True
            End If
          End If
        End If
      End If
  End Select
End Sub


Sub ClipboardPH()
  Dim sPH As String, i As Integer

  sPH = ""

  i = 0
  Do While i < lstPH.ListCount
    sPH = sPH & "; " & Space(2 * lstPH.ItemData(i)) & lstPH.List(i) & vbCrLf

    i = i + 1
  Loop

  Clipboard.SetText sPH
End Sub

Sub ExpandMacro(iSub As Long, iMacro As Long)
  Dim sLine As String, i As Long, j As Long
  Dim lstList As New CList

  i = 0
  Do While i < lstMacroCalls.Item(iMacro).Count
    sLine = lstMacroCalls.Item(iMacro).List(i)

    If Len(sLine) > 0 Then
      If Left(sLine, 1) = "%" Then
        lstList.Add lstLine.List(Val(Mid(sLine, 2)) + 2)
      Else
        lstList.Add sLine
      End If
    End If

    i = i + 1
  Loop

  i = 0
  Do While i < lstList.Count
    j = iSub
    Do While j < lstSubCalls.Count
      lstSubCalls.Item(j).Add lstList.List(i)

      j = j + 1
    Loop

    i = i + 1
  Loop
End Sub

Function ExpandMacros(sFName As String) As Boolean
  Dim sLine As String, bExpanded As Boolean
  Dim i As Long, j As Long, k As Long, iMacro As Long

  bExpanded = False

  iMacro = 0
  Do While iMacro < lstMacros.ListCount
    lblStatus.Caption = "  " & sFName & ": Expanding Macros... (" & lstMacros.List(iMacro) & ")"
    lblStatus.Refresh

    i = 0
    Do While i < lstMacroCalls.Item(iMacro).Count
      sLine = lstMacroCalls.Item(iMacro).List(i)

      If Len(sLine) > 0 Then
        If Left(sLine, 1) = "&" Then
          bExpanded = True

          lstMacroCalls.Item(iMacro).Remove i

          If InStr(1, sLine, " ") > 0 Then
            ParseLine Mid(sLine, InStr(1, sLine, " ") + 1)
            sLine = Mid(sLine, 2, InStr(1, sLine, " ") - 2)
          Else
            lstLine.Clear
            sLine = Mid(sLine, 2)
          End If

          j = 0
          Do While j < lstMacros.ListCount
            If lstMacros.List(j) = sLine Then Exit Do
            j = j + 1
          Loop

          k = 0
          Do While k < lstMacroCalls.Item(j).Count
            sLine = lstMacroCalls.Item(j).List(k)

            If Left(sLine, 1) = "%" Then
              lstMacroCalls.Item(iMacro).Add lstLine.List(Val(Mid(sLine, 2))), i
            Else
              lstMacroCalls.Item(iMacro).Add lstMacroCalls.Item(j).List(k), i
            End If

            i = i + 1
            k = k + 1
          Loop
        End If
      Else
        lstMacroCalls.Item(iMacro).Remove i
      End If

      i = i + 1
    Loop

    iMacro = iMacro + 1
  Loop

  ExpandMacros = bExpanded
End Function

Sub FirstPass(sFName As String)
  Dim sFile As String, sLine As String, sStatus As String
  Dim i As Long, iFile As Long, iMacro As Long

  iFile = 0
  Do While iFile < lstFiles.ListCount
    sFile = lstFiles.List(iFile)
    sStatus = sFile

    i = InStr(1, sStatus, "\")
    Do While i > 0
      sStatus = Mid(sStatus, i + 1)
      i = InStr(1, sStatus, "\")
    Loop

    lblStatus.Caption = "  " & sFName & ": Getting Macro Names... (" & sStatus & ")"
    lblStatus.Refresh

    FixFile sFile, CheckFormat(sFile)

    Open sFile For Input As #1

    Do While Not EOF(1)
      Line Input #1, sLine

      If sFName = sStatus Then
        If InStr(1, LCase(sLine), "program hierarchy") > 0 Then bPH = True
      End If

      ParseLine sLine

      If lstLine.ListCount > 1 Then
        Select Case LCase(lstLine.List(1))
          Case "#include", "include"
            If lstLine.ListCount > 2 Then AddFile lstLine.List(2)
          Case "macro"
            lstMacros.AddItem lstLine.List(0)

            iMacro = lstMacros.NewIndex

            lstMacroCalls.Add
            lstMacroArgs.Add

            If lstLine.ListCount > 2 Then
              i = 2

              Do While i < lstLine.ListCount
                lstMacroArgs.Item(iMacro).Add lstLine.List(i)

                i = i + 1
              Loop
            End If
        End Select
      End If
    Loop

    Close #1
    iFile = iFile + 1
  Loop
End Sub

Function GenerateHierarchy(sFName As String) As Boolean
  Dim i As Integer

  If iMain = -1 Then
    lblStatus.Caption = "  " & sFName & ": Terminated, Main not found!"
    lblStatus.Refresh

    GenerateHierarchy = False
  Else
    lstPH.AddItem lstSubs.List(iMain)

    If bIntLow Then lstPH.AddItem lstSubs.List(iIntLow)
    If bIntHigh Then lstPH.AddItem lstSubs.List(iIntHigh)

    i = 0
    Do While GenerateLevel(sFName, i)
      i = i + 1
    Loop

    GenerateHierarchy = True
  End If
End Function

Function GenerateLevel(sFName As String, iLevel As Integer) As Boolean
  Dim i As Long, j As Long, k As Long
  Dim bAddition As Boolean

  lblStatus.Caption = "  " & sFName & ": Generating Level " & CStr(i) & "..."
  lblStatus.Refresh

  bAddition = False

  i = 0
  Do While i < lstPH.ListCount
    If lstPH.ItemData(i) = iLevel Then
      j = 0
      Do While j < lstSubs.ListCount
        If lstSubs.List(j) = lstPH.List(i) Then
          k = 0
          Do While k < lstSubCalls.Item(j).Count
            bAddition = True

            lstPH.AddItem lstSubCalls.Item(j).List(k), i + 1
            lstPH.ItemData(lstPH.NewIndex) = iLevel + 1

            i = i + 1
            k = k + 1
          Loop

          Exit Do
        End If

        j = j + 1
      Loop
    End If

    i = i + 1
  Loop

  GenerateLevel = bAddition
End Function


Sub GetMacroCalls(sFName As String)
  Dim sFile As String, sLine As String, sStatus As String
  Dim i As Long, j As Long, k As Long
  Dim iFile As Long, iMacro As Long
  Dim bMacro As Boolean, bArg As Boolean

  iMacro = 0
  iFile = 0
  Do While iFile < lstFiles.ListCount
    sFile = lstFiles.List(iFile)
    sStatus = sFile
    bMacro = False

    i = InStr(1, sStatus, "\")
    Do While i > 0
      sStatus = Mid(sStatus, i + 1)
      i = InStr(1, sStatus, "\")
    Loop

    lblStatus.Caption = "  " & sFName & ": Getting Macro Calls... (" & sStatus & ")"
    lblStatus.Refresh

    Open sFile For Input As #1

    Do While Not EOF(1)
      Line Input #1, sLine
      ParseLine sLine

      If lstLine.ListCount > 1 Then
        sLine = LCase(lstLine.List(1))

        If bMacro Then
          If (sLine = "call" Or sLine = "rcall") And lstLine.ListCount > 2 Then
            sLine = lstLine.List(2)
            bArg = False

            i = 0
            Do While i < lstMacroArgs.Item(iMacro).Count
              If lstMacroArgs.Item(iMacro).List(i) = sLine Then
                lstMacroCalls.Item(iMacro).Add "%" & CStr(i)
                bArg = True
                i = lstMacroArgs.Item(iMacro).Count
              Else
                i = i + 1
              End If
            Loop

            If Not bArg Then lstMacroCalls.Item(iMacro).Add sLine
          Else
            sLine = lstLine.List(1)

            i = 0
            Do While i < lstMacros.ListCount
              If lstMacros.List(i) = sLine Then
                sLine = "&" & lstLine.List(1)

                j = 2
                Do While j < lstLine.ListCount
                  bArg = False

                  k = 0
                  Do While k < lstMacroArgs.Item(iMacro).Count
                    If lstMacroArgs.Item(iMacro).List(k) = lstLine.List(j) Then
                      bArg = True
                      sLine = sLine & " %" & CStr(k)
                      k = lstMacroArgs.Item(iMacro).Count
                    Else
                      k = k + 1
                    End If
                  Loop

                  If Not bArg Then sLine = sLine & " " & lstLine.List(j)

                  j = j + 1
                Loop

                lstMacroCalls.Item(iMacro).Add sLine

                i = lstMacros.ListCount
              Else
                i = i + 1
              End If
            Loop
          End If
        End If

        Select Case LCase(lstLine.List(1))
          Case "macro"
            bMacro = True

            If lstLine.List(0) <> lstMacros.List(iMacro) Then Err.Raise 1, , "Incorrect Macro"
          Case "endm"
            bMacro = False
            iMacro = iMacro + 1
        End Select
      End If
    Loop

    Close #1
    iFile = iFile + 1
  Loop
End Sub

Sub GetSubCalls(sFName As String)
  Dim sFile As String, sLine As String, sStatus As String
  Dim i As Long, j As Long
  Dim iFile As Long, iMacro As Long, iSub As Long
  Dim bMacro As Boolean, bSub As Boolean, bSkip As Boolean
  Dim bFound As Boolean

  iFile = 0
  Do While iFile < lstFiles.ListCount
    lstBuffer.Clear

    sFile = lstFiles.List(iFile)
    sStatus = sFile
    bMacro = False
    bSub = False
    bSkip = False

    i = InStr(1, sStatus, "\")
    Do While i > 0
      sStatus = Mid(sStatus, i + 1)
      i = InStr(1, sStatus, "\")
    Loop

    lblStatus.Caption = "  " & sFName & ": Getting Subroutine Calls... (" & sStatus & ")"
    lblStatus.Refresh

    Open sFile For Input As #1

    Do While Not EOF(1)
      Line Input #1, sLine
      ParseLine sLine

      If lstLine.ListCount > 0 Then
        CheckLabel bMacro, bSkip, bSub, iSub

        If lstLine.ListCount > 1 Then
          sLine = LCase(lstLine.List(1))
          bSkip = False

          If bMain And Not bSkip And (sLine = "goto" Or sLine = "bra" Or sLine = "endloop_") Then
            If sLine = "endloop_" Then
              bSub = False
              bMain = False
            End If

            If lstLine.List(2) = "$" Then
              bMain = False
            Else
              i = iSub + 1
              Do While i < lstSubs.ListCount
                If lstLine.List(2) = lstSubs.List(i) Then
                  bSub = False
                  bMain = False
                  Exit Do
                End If

                i = i + 1
              Loop
            End If
          End If

          If bInt And Not bSkip Then
            If sLine = "retfie" Then
              bSub = False
              bInt = False

              lstBuffer.Clear
            End If
          End If

          Select Case sLine
            Case "call", "rcall"
              If bSub Then
                i = iSub
                Do While i < lstSubCalls.Count
                  lstSubCalls.Item(i).Add lstLine.List(2)

                  i = i + 1
                Loop
              End If
            Case "macro"
              bMacro = True
            Case "endm"
              bMacro = False
            Case "return", "retlw", "dt"
              bSub = False
            Case "cpfseq", "cpfsgt", "cpfslt", "tstfsz", "decfsz", "dcfsnz", "incfsz", "infsnz", "btfss", "btfsc"
              bSkip = True
            Case "goto", "bra", "bc", "bnc", "bz", "bnz", "bn", "bnn", "bov", "bnov"
              If bSub Then
                bFound = False

                i = 0
                Do While i < lstBuffer.Count
                  If lstBuffer.List(i) = lstLine.List(2) Then
                    bFound = True
                    Exit Do
                  End If

                  i = i + 1
                Loop

                If Not bFound Then lstBuffer.Add lstLine.List(2)
              End If
            Case Else 'Check for macro
              If bSub Then
                sLine = lstLine.List(1)

                i = 0
                Do While i < lstMacros.ListCount
                  If sLine = lstMacros.List(i) Then
                    ExpandMacro iSub, i
                    Exit Do
                  End If

                  i = i + 1
                Loop
              End If
          End Select
        End If
      End If
    Loop

    Close #1
    iFile = iFile + 1
  Loop
End Sub

Sub KillDuplicates(lstList As CList)
  Dim i As Long, j As Long

  i = 0
  Do While i < lstList.Count
    j = i + 1
    Do While j < lstList.Count
      If lstList.List(i) = lstList.List(j) Then
        lstList.Remove j
      Else
        j = j + 1
      End If
    Loop

    i = i + 1
  Loop
End Sub

Sub KillMacroDuplicates(sFName As String)
  Dim i As Long

  i = 0
  Do While i < lstMacros.ListCount
    lblStatus.Caption = "  " & sFName & ": Killing Duplicates... (" & lstMacros.List(i) & ")"
    lblStatus.Refresh

    KillDuplicates lstMacroCalls.Item(i)

    i = i + 1
  Loop
End Sub

Sub KillSubDuplicates(sFName As String)
  Dim i As Long

  i = 0
  Do While i < lstSubs.ListCount
    lblStatus.Caption = "  " & sFName & ": Killing Duplicates... (" & lstSubs.List(i) & ")"
    lblStatus.Refresh

    KillDuplicates lstSubCalls.Item(i)

    i = i + 1
  Loop
End Sub


Public Sub ParseLine(sLine As String)
  Dim sTemp As String, iSpace As Integer

  lstLine.Clear
  sLine = CleanString(sLine)

  Do While Len(sLine) > 0
    iSpace = InStr(1, sLine, " ")

    If iSpace > 0 Then
      sTemp = Left(sLine, iSpace - 1)
      sLine = Mid(sLine, iSpace + 1)
    Else
      sTemp = sLine
      sLine = ""
    End If

    lstLine.AddItem sTemp
  Loop
End Sub

Sub ProcessFile(sPath As String, sFName As String)
  Screen.MousePointer = vbArrowHourglass

  lblStatus.Caption = "  " & sFName & ": Processing..."
  lblStatus.Refresh

  lstMacroCalls.Clear
  lstMacroArgs.Clear
  lstSubCalls.Clear
  lstBuffer.Clear
  lstMacros.Clear
  lstSubs.Clear
  lstFiles.Clear
  lstPH.Clear

  iMain = -1
  iIntLow = -1
  iIntHigh = -1
  bMain = False
  bInt = False
  bIntLow = False
  bIntHigh = False
  bPH = False

  lstFiles.AddItem sPath & "\" & sFName

  FirstPass sFName
  GetMacroCalls sFName

  Do While ExpandMacros(sFName)
  Loop

  KillMacroDuplicates sFName
  GetSubCalls sFName
  KillSubDuplicates sFName

  If GenerateHierarchy(sFName) Then
    If bPH And UpdateMenu.Checked Then
      AlterFile sPath, sFName
      lblStatus.Caption = "  " & sFName & ": Program Hierarchy Updated in File!"
    Else
      ClipboardPH
      lblStatus.Caption = "  " & sFName & ": Program Hierarchy Copied to Clipboard!"
    End If
  End If

  Screen.MousePointer = vbDefault
End Sub

Private Sub AboutMenu_Click()
  frmAbout.Show vbModal
End Sub

Private Sub dirPath_Change()
    filASM.Path = dirPath.Path
End Sub


Private Sub DocMenu_Click()
  Screen.MousePointer = vbArrowHourglass
  'LaunchBrowser App.Path & "\help\help.html"
  
  MsgBox "Available in the next release!"
  
  Screen.MousePointer = vbDefault
End Sub

Private Sub drvPath_Change()
On Error GoTo DriveNotFound
    dirPath.Path = drvPath.Drive

DriveNotFound:
    drvPath.Drive = filASM.Path
    On Error GoTo 0
End Sub


Private Sub filASM_DblClick()
    ProcessFile filASM.Path, filASM.FileName
End Sub

Private Sub filASM_LostFocus()
    lblStatus.Caption = ""
End Sub


Private Sub Form_Load()
  Dim sVersion As String, sPath As String

  sVersion = frmMain.Caption & " v" & App.Major & "." & Format(App.Minor, "0")

  If App.PrevInstance Then
    Unload Me
    AppActivate sVersion
    End
  End If

  frmMain.Caption = sVersion

  iLastHeight = frmMain.Height

  UpdateMenu.Checked = GetSetting("ASMPH", "Config", "AutoUpdate", True)
  sMain = GetSetting("ASMPH", "Config", "Main", "mainline")
  sInt = GetSetting("ASMPH", "Config", "Int", "intservice")
  sIntLow = GetSetting("ASMPH", "Config", "IntLow", "lopriisr")
  sIntHigh = GetSetting("ASMPH", "Config", "IntHigh", "hipriisr")
  sPath = GetSetting("ASMPH", "Config", "Path", "")

  On Error GoTo PathNotFound

  drvPath.Drive = sPath
  dirPath.Path = sPath
  filASM.Path = sPath
  sMPLAB_Path = GetMPLABPath

PathNotFound:
  On Error GoTo 0
End Sub


Private Sub Form_Unload(Cancel As Integer)
  SaveSetting "ASMPH", "Config", "AutoUpdate", UpdateMenu.Checked
  SaveSetting "ASMPH", "Config", "Main", sMain
  SaveSetting "ASMPH", "Config", "Int", sInt
  SaveSetting "ASMPH", "Config", "IntLow", sIntLow
  SaveSetting "ASMPH", "Config", "IntHigh", sIntHigh
  SaveSetting "ASMPH", "Config", "Path", filASM.Path
End Sub


Private Sub LabelMenu_Click()
  frmLabels.Show vbModal
End Sub

Private Sub lstFiles_DblClick()
  lblStatus.Caption = lstFiles.List(lstFiles.ListIndex)
End Sub


Private Sub lstLine_DblClick()
  lblStatus.Caption = lstLine.List(lstLine.ListIndex)
End Sub


Private Sub lstMacros_DblClick()
  MsgBox lstMacroArgs.Item(lstMacros.ListIndex).GetList
  MsgBox lstMacroCalls.Item(lstMacros.ListIndex).GetList
End Sub


Private Sub lstPH_DblClick()
  lblStatus.Caption = lstPH.List(lstPH.ListIndex)
End Sub


Private Sub lstSubs_DblClick()
  MsgBox lstSubCalls.Item(lstMacros.ListIndex).GetList
End Sub


Private Sub UpdateMenu_Click()
  UpdateMenu.Checked = Not UpdateMenu.Checked
End Sub


